aboutsummaryrefslogtreecommitdiff
path: root/recipes-demo/de10-nano-fftsw-apps/files/run_all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-demo/de10-nano-fftsw-apps/files/run_all.sh')
-rwxr-xr-xrecipes-demo/de10-nano-fftsw-apps/files/run_all.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/recipes-demo/de10-nano-fftsw-apps/files/run_all.sh b/recipes-demo/de10-nano-fftsw-apps/files/run_all.sh
new file mode 100755
index 0000000..85c3076
--- /dev/null
+++ b/recipes-demo/de10-nano-fftsw-apps/files/run_all.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+[ -d "output_waveforms" ] || {
+ echo ""
+ echo "ERROR: directory 'output_waveforms' does not exits, please create it."
+ echo ""
+ exit 1
+}
+
+echo "running run_fft_256.sh"
+./run_fft_256.sh
+echo "running run_fft_256x32.sh"
+./run_fft_256x32.sh
+echo "running run_fft_256x32x128.sh"
+./run_fft_256x32x128.sh
+echo "running run_fft_4096.sh"
+./run_fft_4096.sh
+echo "running run_stream_256x32x128.sh"
+./run_stream_256x32x128.sh
+echo "running run_stream_256x16x1.sh"
+./run_stream_256x16x1.sh
+echo "running run_stream_256x1x1.sh"
+./run_stream_256x1x1.sh
+